---
dependency:
  name: galaxy
driver:
  name: docker
platforms:
#  - name: Fedora-34
#    image: "geerlingguy/docker-${MOLECULE_DISTRO:-fedora34}-ansible:latest"
#    command: ${MOLECULE_DOCKER_COMMAND:-""}
#    volumes:
#      - /sys/fs/cgroup:/sys/fs/cgroup:ro
#    privileged: true
#    pre_build_image: true
#    exposed_ports: ["8080","30120","40120"]
#    published_ports: ["8080:8080","30120:30120","40120:40120"]
  - name: Debian-10
    image: "geerlingguy/docker-${MOLECULE_DISTRO:-debian10}-ansible:latest"
    command: ${MOLECULE_DOCKER_COMMAND:-""}
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
    exposed_ports: ["8080","30120","40120"]
    published_ports: ["8080:8080","30120:30120","40120:40120"]  
#  - name: Ubuntu-20.04
#    image: "geerlingguy/docker-${MOLECULE_DISTRO:-ubuntu2004}-ansible:latest"
#    command: ${MOLECULE_DOCKER_COMMAND:-""}
#    volumes:
#      - /sys/fs/cgroup:/sys/fs/cgroup:ro
#    privileged: true
#    pre_build_image: true
#    exposed_ports: ["8080","30120","40120"]
#    published_ports: ["8080:8080","30120:30120","40120:40120"]
provisioner:
  name: ansible
  playbooks:
    converge: ${MOLECULE_PLAYBOOK:-converge.yml}
  inventory:
    host_vars:
     Fedora-34:
        ansible_python_interpreter: /usr/bin/python3       
#      Debian-10:
#        ansible_python_interpreter: /usr/bin/python3
#      Ubuntu-20.04:
#        ansible_python_interpreter: /usr/bin/python3
scenario:
  name: default
  create_sequence:
    - create
    - prepare
  check_sequence:
    - destroy
    - dependency
    - create
    - prepare
    - converge
    - check
    - destroy
  converge_sequence:
    - dependency
    - create
    - prepare
    - converge
  destroy_sequence:
    - destroy
  test_sequence:
    - lint
    - destroy
    - dependency
    - syntax
    - create
    - prepare
    - converge
    - idempotence
    - side_effect
    - verify
    - destroy
